DROP AGGREGATE(7)

NAME
DROP AGGREGATE - remove an aggregate function

SYNOPSIS

DROP AGGREGATE name ( type ) [ CASCADE | RESTRICT ]

DESCRIPTION

DROP AGGREGATE will delete an existing aggregate function. To execute this command the current user must be the owner of the aggregate function.

PARAMETERS

name
    The name (optionally schema-qualified) of an existing aggregate function.

type
    The argument data type of the aggregate function, or * if the function accepts any data type.

CASCADE
    Automatically drop objects that depend on the aggregate function.

RESTRICT
    Refuse to drop the aggregate function if any objects depend on it. This is the default.

EXAMPLES

To remove the aggregate function myavg for type integer:

DROP AGGREGATE myavg(integer);

COMPATIBILITY

There is no DROP AGGREGATE statement in the SQL standard.

SEE ALSO
ALTER AGGREGATE [alter_aggregate(7)], CREATE AGGREGATE [create_aggregate(l)]